Subject: bug#26802: Single source file emacs packages get a ".el.el" extension

From: Alex Kost <[email-masked]>
Date: Sat, 13 May 2017 11:54:27 +0300

Arun Isaac (2017-05-12 00:49 +0530) wrote:

>> I would rather suggest to fix the packages you mentioned
>> (emacs-key-chord, etc.) to add 'file-name' field as it is done for the
>> other single-file packages (emacs-web-mode, emacs-yaml-mode, etc.)
>
> You're right. I'll do that. But, I think we should also have a guix lint
> check that makes sure the version is present in the store file
> name. What do you think?

It would be a linter only for *.el files, is that what you mean?  AFAIK
we do not have such specific linters, but yeah, why not, I think it's a
good idea.

P.S.  Could you please keep my email in Cc?  It would be easier to
follow the discussion for me, thanks.

-- 
Alex